#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 resolution;
uniform float blurRadius;

void main(void)
{
    float pixel_w = blurRadius;
    float pixel_h = blurRadius;
    float rt_w = resolution.x;
    float rt_h = resolution.y;
    float dx = pixel_w*(1./rt_w);
    float dy = pixel_h*(1./rt_h);
    vec2 coord = vec2(dx*floor(v_texCoord.x/dx), dy*floor(v_texCoord.y/dy));
    vec4 col = texture2D(CC_Texture0, coord);
    float lum = col.r*0.3 + col.g*0.59 + col.b*0.11;
    float rat = (blurRadius-1.0)/4.0;
    col.r = col.r*(1.0-rat) + (rat)*lum;
    col.g = col.g*(1.0-rat) + (rat)*lum;
    col.b = col.b*(1.0-rat) + (rat)*lum;
    float light = 0.28;
    col.r += rat*light*col.a;
    col.g += rat*light*col.a;
    col.b += rat*light*col.a;
    gl_FragColor = vec4(col) * v_fragmentColor;
}
