#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 resolution;
uniform float blurRadius;

void main(void)
{
    vec4 col = texture2D(CC_Texture0, v_texCoord);
    float lum = col.r*0.3 + col.g*0.59 + col.b*0.11;
    float rat = (blurRadius-1.0)/4.0;
    col.r = col.r*(1.0-rat) + (rat)*lum;
    col.g = col.g*(1.0-rat) + (rat)*lum;
    col.b = col.b*(1.0-rat) + (rat)*lum;
    
    col.r = col.r+rat*(1.0-2.0*col.r);
    col.g = col.g+rat*(1.0-2.0*col.g);
    col.b = col.b+rat*(1.0-2.0*col.b);
    gl_FragColor = vec4(col) * v_fragmentColor;
}
